

.cover{
	$bg-image-connector-height: 150px;
	$extend-cover: $bg-image-connector-height - getNavHeight();
	background-image: url('../img/model/cover-bg.png');
	height: calc(100vh - 250px);
	// background-position: center;
	background-position: center -900px;
	background-size: cover;
	background-repeat: no-repeat;
	display: flex;
	align-items: center;
    justify-content: space-between;
    flex-direction: column;
    overflow: hidden;
    position: relative;
    background-color: #5290be66;

	.title{
		font-family: 'Lato-Regular';
		font-size: 71px;
		letter-spacing: 16.61px;
		line-height: 31px;
		color: #F5F8FA;
		// text-transform: uppercase;
		margin-top: 100px;
	}
	img{
		position: relative;
		top: -150px;
	    height: 420px;
    	max-width: 90%;
	    @supports (object-fit: contain){
    		width: 1050px;
    	    object-fit: contain;
	    }
	}

	&:after{
		content: '';
		width: 100%;
		height: $bg-image-connector-height;
		position: absolute;
		bottom: 0px;
		left: 0px;
		background: transparent 
					linear-gradient(
						180deg, 
						rgba(82, 144, 190, 0) 0%, 
						rgba(80, 142, 189, 0.8) 61%, 
						rgb(86, 160, 205) 
						100%) 
					0% 0% no-repeat padding-box;
		z-index: 99;
	}
}
.wrapper{
	position: relative;
	&.bg-layer{
		overflow: visible;
		&:after{
			background: url('../img/model/texture.png'), linear-gradient(180deg,
							#4F8EBD 0%,
							#90B3DE 9%,
							#7EB6EE 18%,
							#78B5ED 24%,
							#4DB0EF 34%,
							#4BA8E4 41%,
							#428BB9 49%,
							#5585A2 62%,
							#5A6A74 75%,
							#000000 100%);
			background-position: center 0px;
			background-size: cover;
			min-height: 100%;
		}
	}
	.scroll-area{
		position: relative;
		.menu{
			top: getNavHeight();
			width: 100%;
			// top: 0;
			z-index: 99;
			transition: opacity .3s, z-index .3s;
			&.fixed{
				position: fixed;
				&.hidden{
					opacity: 0;
					z-index: -1;
				}
			}
			@supports (position: sticky) {
				position: sticky;
				top: 0;
			}
			.menu-list{
				list-style: none;
				padding: 0;
				margin: 0;
				display: flex;
				border-radius: 25px;
				height: 110px;
				overflow: hidden;
				background: rgba(87, 128, 153, 0.8);
				@supports (backdrop-filter: blur(5px)) {
					background: rgba(#191919,.2);
					backdrop-filter: blur(5px);
				}

				li{
					flex: auto;
					height: 100%;
					// $active-color :  rgba(#081326, .7); should change to it
					$active-color :  rgba(#202020, .2);
					&:first-child{
						a{
							&.active,&:hover{
								&:before {
								    content: '';
								    background: $active-color;
								    width: 100%;
								    height: 100%;
								    position: absolute;
								    right: 100%;
								}
							}
						}
					}
					&:last-child{
						a{
							&.active,&:hover{
								&:before {
								    content: '';
								    background: $active-color;
								    width: 100%;
								    height: 100%;
								    position: absolute;
								    left: 100%;
								}
							}
						}
					}
					a{
						height: 100%;
						width: 100%;
						display: flex;
						align-items: center;
						justify-content: center;
						text-decoration: none;
						font-size: 28px;
						line-height: 43px;
						letter-spacing: 1.74px;
						color: #F5F8FA;
						font-family: 'Lato-Regular';
						padding: 0;

						&.active,&:hover{
							background: $active-color;
							@supports (position: sticky) {
								transform: skewX(-15deg);
								span{
									transform: skewX(15deg);
								}
							}
						}
					}
				}
			}
		}
	}

	.section{
		.section-headline{
			&.color-option-headline{
				margin-top: 30px!important;
				margin-bottom: 0px!important;
				color: black;
				display: flex;
				justify-content: flex-end;
				width: 100%;
				font-size: 27px;
			}
		}
		.section-info{}
		.color-option-headline{
			
		}
		&.slider-video{
			.container{
				.row{
					.col-md-12{
						
						.html5gallery-elem-0{
							a{
								display: none!important;
								visibility: hidden!important;
								opacity: 0!important;
                                color: transparent !important;
                                background: transparent !important;
                                z-index: -999999;
                                height: 0px;
                                width: 0px;
							}
						}
					}
				}
			}

		}


		&.floorplans{
			overflow-x: hidden;
			.slider{
				height: auto;
				.carousel{
					.carousel-inner{
						.carousel-item{
							&.floorplan{
								$text-color: #F5F8FA;
								$left-gap: 40px;
								color: $text-color;
								.one{
									display: flex;
									flex-direction: column;
									justify-content: center;
									.floorplan-image{
										height: 495px;
										width: 100%;
										object-fit: contain;
										opacity: .8;
										transition: .3s;
										&:hover{
											opacity: 1
										}
									}
								}
								.two{
									display: flex;
									flex-direction: column;
									justify-content: center;
									padding-left: 180px;
									.floorplan-title{
										font-family: 'Lato-Bold';
										font-size: 30px;
										letter-spacing: 2.88px;
										margin-bottom: 30px;
									}
									.floorplan-spec{
										font-family: 'Lato-Regular';
										font-size: 28px;
										letter-spacing: 1.68px;
										// line-height: 60px;
	    								margin-bottom: 0;
	    								padding: 0;
	    								height: 250px;
	    								overflow: auto;
	    								&::-webkit-scrollbar {
	    								    width: 5px;
	    								    background-color: transparent;
	    								}
	    								&::-webkit-scrollbar-track {
	    								    border-radius: 10px;
	    								    background-color: transparent;

	    								}
	    								&::-webkit-scrollbar-thumb {
	    								    background-color: rgba(0,0,0,0);
	    								    border-radius: 10px;
	    								    transition: .3s;
	    								    cursor: pointer;
	    								}
	    								&:hover{
	    									&::-webkit-scrollbar-thumb {
		    									background-color: rgba(0,0,0,.2);
		    								}
	    								}

	    								li{
	    									list-style: none;
										    position: relative;
										    padding-left: $left-gap;
										    margin-bottom: 30px;
										    &:before{
										    	content: '';
									    	    width: 20px;
									    	    height: 20px;
									    	    background: $text-color;
									    	    display: block;
									    	    border-radius: 50%;
									    	    position: absolute;
									    	    left: 0px;
									    	    top: 10px;
										    }
	    								}
									}
									.more{
										@include btn-more;
										margin-left: 0;
										// font-family: 'Lato-Regular';
										// font-size: 24px;
										// letter-spacing: 1.44px;
										// line-height: 60px;
										// color: $text-color;
										// padding-left: $left-gap
									}
								}
							}
						}
					}
					.carousel-indicators {
					    margin-bottom: 25px;
					    top: 0;
					    bottom: auto;
					    position: relative;
					    font-size: 15px;
					    margin-left: 0;
					    margin-right: 0;
					    li {
					        height: auto;
					        width: auto;
					        flex: auto;
					        text-indent: 0;
					        border: 0;
					        text-align: center;
					        background: #081326;
					        color: #f5f8fa;
					        border-radius: 5px;
					        padding: 5px;
					        transition: .3s;
					        &:hover{
					        	opacity: 1;
					        }
					    }
					}
					.carousel-control-next,.carousel-control-prev{
						width: 5%;
					}
					.carousel-control-next {
					    right: -100px;
					}
					.carousel-control-prev {
					    left: -100px;
					}
				}
			}
		}

		&.virtual-tour-section{
			.video-gallery{
				
				height: 650px;
				width: 80%;
				display: flex;

				.preview{
					
					width: calc(100% - 250px);
					background: #FFFFFF;
					position: relative;
					padding-left:27px;
					padding-right:27px;
					padding-top:30px;
					padding-bottom:30px;
					margin-right: 26px;

					iframe{
						width: 100%;
						height: 100%;
						border: 0;
						object-fit: contain;
						
					}
				}

				.thumbnails {
					height: 100%;
					overflow: auto;
					display: flex;
					flex-direction: column;
					padding: 0;
					margin: 0;
					width: 250px;

					.thumbnail {
						width: 225px;
						height: 220px;
						margin-bottom: 20px;
						
						margin-right: 18px;
						background-color: #FFFFFF;
						text-decoration: none;
						cursor: pointer;
						list-style: none;
						display: flex;
						flex-direction: column;
						&.active{
							
							background-color: #7EB6EE;
							.caption{
								color: #FFFFFF;
							}
						}

						img{
							width: 100%;
							height: 120px;
							padding-left: 14px;
							padding-right: 14px;
							padding-top: 16px;
							object-fit: cover;
						}

						.caption{
							padding-left: 12px;
							padding-right: 12px;
							padding-top: 10px;
							padding-bottom: 10px;
							font-size: 20px;
							font-family: 'Lato-Regular';
							line-height: 37px;
							color: #4390C1;
						}
					}
				}
			}
		}

		&.interior-color-options{
			.slider{
				.carousel{
					.carousel-inner{
						.carousel-item{
							&.floorplan{
								.one{
								}
								.two{
									justify-content: flex-start;
								}
							}
						}
					}
				}
			}
		}
		&.color-options{
			.one{
				display: flex;
				align-items: center;
				justify-content: center;
				flex-direction: column;
				.main-image-anchor{
					display: block;
					width: 100%;
				}
				.main-image{
					width: 100%;
				}

			}
			.two{
				display: flex;
				align-items: flex-end;
				flex-direction: column;
				.model-images{
					list-style: none;
					padding: 0;
					margin: 0;
					background-color: #f6f6f6;
					display: flex;
					flex-wrap: wrap;
					width: 500px;
					.model-image{

						border: 1px solid #fff;
						padding: 10px 9px;
						cursor: pointer;
						.image-wrapper{
							width: 230px;
							height: 120px;
							background: transparent radial-gradient(closest-side at 50% 50%, rgba(#FFFFFF,.2) 0%, rgba(#F2F2F2,.2) 26%, rgba(#013171,.2) 100%) 0% 0% no-repeat padding-box;
							display: flex;
							align-items: center;
							justify-content: center;
							transition: all .2s ease-in-out; 

							&.active{
								background: transparent radial-gradient(closest-side at 50% 50%, rgba(255, 255, 255, 0.2) 0%, rgba(242, 242, 242, 0.2) 26%, rgba(121, 190, 240, 0.5) 100%) 0% 0% no-repeat padding-box;
								transform: scale(1.1); 
							}
							img{
								width: calc(100% - 20px);
    							height: calc(100% - 20px);
								object-position: center;
								object-fit: contain;
							}
						}
					}
				}
			}
		}

		&.key-features{
			$text-color: #F5F8FA;
			$left-gap: 45px;
			color: $text-color;
			.one{
				display: flex;
				justify-content: center;
				flex-direction: column;
				ul{
					font-family: 'Lato-Regular';
					font-size: 28px;
					letter-spacing: 1.68px;
					// line-height: 60px;
					margin-bottom: 0;
					padding: 0;
					height: 250px;

					overflow: auto;

					&::-webkit-scrollbar {
					    width: 5px;
					    background-color: transparent;
					}
					&::-webkit-scrollbar-track {
					    border-radius: 10px;
					    background-color: transparent;

					}
					&::-webkit-scrollbar-thumb {
					    background-color: rgba(0,0,0,0);
					    border-radius: 10px;
					    transition: .3s;
					    cursor: pointer;
					}
					&:hover{
						&::-webkit-scrollbar-thumb {
							background-color: rgba(0,0,0,.2);
						}
					}
					li{
						list-style: none;
					    position: relative;
					    padding-left: $left-gap;
					    margin-bottom: 30px;
					    &:before{
					    	content: '';
				    	    width: 25px;
				    	    height: 25px;
				    	    background: $text-color;
				    	    display: block;
				    	    // border-radius: 50%;
				    	    position: absolute;
				    	    left: 0px;
				    	    top: 10px;
				    	    clip-path: polygon(50% 0%, 50% 0%, 100% 100%, 0% 100%);
					    }
					}
				}
				.more{

					@include btn-more;
					margin-left: 0;
					// font-family: 'Lato-Regular';
					// font-size: 24px;
					// letter-spacing: 1.44px;
					// line-height: 60px;
					// color: $text-color;
					// padding-left: $left-gap
				}
			}
			.two{
				.images{
					width: 100%;
					height: 100%;
					// background-color: rgb(246, 246, 246);
					img{
						width: 100%;
						height: auto;
						transition: .3s;
    					filter: grayscale(1);
    					&:hover{
    						filter: grayscale(0);
    					}
					}
				}
			}
		}
		&.specifications{
			.specifications-details{
				column-count: 2;
			    column-gap: 73px;
			    white-space: pre-line;
			    color: #F5F8FA;
			    font-size: 20px;
			    font-family: 'Lato-Regular';
			    letter-spacing: 1.04px;
			    line-height: 30px;
			    max-height: 500px;
				overflow: hidden;
			}
			.more {
				@include btn-more;
			}
		}
		&.gallery{
			.sub-headline{
				font-family: 'Lato-Bold';
				font-size: 42px;
				letter-spacing: 4.2px;
				line-height: 44px;
				color: #F5F8FA;
				margin-bottom: 50px;
				text-transform: uppercase;
				text-align: center;
			}
			.interior{}
			.gallery-images{
				margin: 0;
				a{
					padding: 4px;
					img{
						width: 100%;
						height: 100%;
						object-fit: fill;
						box-shadow: 0px 0px 5px 0px rgba(#000000,.55);
					}

					&:nth-child(1),&:nth-child(8n+1),&:nth-child(2),&:nth-child(8n+2),&:nth-child(3),&:nth-child(8n+3){
						height: 191px;
					}
					&:nth-child(4),&:nth-child(8n+4),&:nth-child(5),&:nth-child(8n+5){
						height: 330px;
					}

					&:nth-child(6),&:nth-child(8n+6),&:nth-child(7),&:nth-child(8n+7),&:nth-child(8),&:nth-child(8n+8){
						height: 153px;
					}

					&:nth-child(1n+9),&:nth-child(2n+9),&:nth-child(3n+9),
					&:nth-child(4n+9),&:nth-child(5n+9),&:nth-child(6n+9),
					&:nth-child(7n+9),&:nth-child(8n+9){
						display: none;
					}
				}
			}
		}
		&.videos{
			.section-headline{
				margin-bottom: 120px;
				
			}
			.video-wrapper{
				position: relative;
				video{
					height: 680px;
					width: 100%;
					object-fit: cover;

				}
				.control{
					position: absolute;
					left: 50%;
					top: 50%;
					transform: translate(-50%,-50%);
					.play-icon,.pause-icon{
						width: 140px;
						height: 106px;
						display: none;
						cursor: pointer;
					}

					&.pause{
						.play-icon{
							display: block;
						}
					}
				}
				&:hover{
					.control{
						&.play{
							.pause-icon{
								display: block;
							}
						}
					}
				}
			}
		}
		&.models{
			.section-headline{
				text-transform: none;
			}
			.btn-inform{
			  margin: 50px auto 0;
			  background: transparent radial-gradient(closest-side at 50% 50%, rgba(142, 206, 255, .25) 0%, rgba(0, 190, 255, .25) 100%) 0% 0% no-repeat padding-box;
			  text-transform: uppercase;
			  border-radius: 51px;
			  width: 705px;
			  height: 110px;
			  display: flex;
			  align-items: center;
			  justify-content: center;
			  font-family: 'Lato-Bold';
			  font-size: 28px;
			  letter-spacing: 1.46px;
			  line-height: 30px;
			  color: #F5F8FA;
			  text-shadow: 0px 9px 55px rgba(0, 0, 0, 0.16);
			  backdrop-filter: blur(2px);
			  &:hover{
			    background: transparent radial-gradient(closest-side at 50% 50%, rgba(142, 206, 255, .75) 0%, rgba(0, 190, 255, .75) 100%) 0% 0% no-repeat padding-box;
			  }
			}


			.model-wrapper{
			  padding-left: 27.5px;
			  padding-right: 27.5px;
			  &:nth-child(odd){
			    padding-left: 0
			  }
			  &:nth-child(even){
			    padding-right: 0
			  }
			  .model{
			    .model-image{
			      height: 380px;
			      background-color: #D6D6D6F0;
			      width: 100%;
			      display: flex;
			      align-items: center;
			      justify-content: center;
			      img{
			        width: 568px;
			      }
			    }
			    .model-title{
			      height: 133px;
			      display: flex;
			      align-items: center;
			      justify-content: center;
			      background: #F5F8FA;
			      color: #003470;
			      font-family: 'Lato-Regular';
			      text-transform: capitalize;
			      font-size: 42px;
			      letter-spacing: 4.2px;
			    }
			    &.mirror{
			      .model-image{
			        img{
			          transform: scaleX(-1);
			        }
			      }
			    }
			  }
			}

			.model-description{
				background-color: #081326;
				padding: 60px 30px;
				margin-top: 65px;
				span{
					display: block;
					font-family: 'Lato-Regular';
					font-size: 24px;
					letter-spacing: 1.25px;
					white-space: pre-line;
					text-align: center;
					color: #F5F8FA;
				}
			}
		}
	}
}
